Subject: Re: [RFC] Device tree for new desktop platform in arch/powerpc

From: Segher Boessenkool <[email-masked]>
Date: Tue, 19 Jun 2007 12:08:06 +0200

>> "pnpPNP,501" says that the device is a 16550A-compatible
>> UART compatible with how that is used in a PC (using the
>> same base clock, and some other minor things).
>>
>> "ns16550" simply says the device is compatible with
>> the NS16550.  Also note the lack of "A".
> I guess I can define both of them or do they conflict (IIRC
> the two hardware revision should be compatible)?

Use one or the other, not both.  Perhaps you'll need
to add the pnpPNP,500 and pnpPNP,501 entries to the
generic OF serial code, should be trivial to do.

The 16550A supports something the 16550 doesn't (don't
ask me what, I forgot :-) ), so don't say it is an A
when it isn't; the other way around is fine though.

And it doesn't matter much for Linux anyway currently,
the "generic" kernel driver will do its own wacky probing.

>>> http://playground.sun.com/1275/bindings/pci/pci2_1.pdf
>>
>> How does PCI come into the picture here?
> I just added it, because it defines how the interrupts property
> should be specfied.

"interrupts" is defined by the base OF spec.  The specific
format for any interrupt domain is defined by the binding
for that domain, notably by the bindings for interrupt
controllers.

> Where are all this "pnpPNP,xxx" identifiers specified (except
> for serial parallel, fdc, keyboard, mouse)?

They are defined by the vendor of the devices; for
vendor "PNP", i.e. legacy non-PNP PC devices, that
is MicroSoft.

Segher